/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM1.21-1
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 2.3.4 IDE  
NOTE: test OK:ESP32-WROOM-32  
****************************************************/
 
/*  == Hardward SPI to ESP32  ==
    OLED   =>    ESP32
  *1. GND       ->    GND
  *2. VCC       ->    3.3 
  *3. SCK       ->    18  
  *4. SDI       ->    23  
  *5. RES       ->    16   
  *6. A0/DC     ->    17  
  *7. CS        ->    5 
*/

#include <SPI.h>
#include "er_oled.h"

//uint8_t oled_buf[OLED_Y_MAXPIXEL * OLED_X_MAXPIXEL/2];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");

  /* display an image of bitmap matrix */
  er_oled_begin();

  
}

void loop() {
  
  

 
  DrawBMP(0,0,160,64,PIC0,0); //x:0,y:0,col:160,row:64 	reverse color:no         gray              
  delay(3000); 


  er_oled_Fill(0,0,160,64,0x00);
  DrawBMP(16,0,128,64,PIC1,1); //x:0,y:0,col:160,row:64 	reverse color:yes 	  gray 
  delay(3000); 

  DrawSingleBMP(0,0,160,64,PIC2,0); //x:0,y:0,col:160,row:64 	reverse color:no 	  monochrome
  delay(3000); 


   
  DrawSingleBMP(0,0,160,64,PIC3,0); //x:0,y:0,col:160,row:64 	reverse color:no	  monochrome 
  delay(3000); 



  DrawSingleBMP(0,0,160,64,PIC4,0); //x:0,y:0,col:160,row:64 	reverse color:no 	  monochrome
  delay(3000); 
 


  er_oled_Fill(0,0,160,64,0x00);
  er_oled_string(0, 0, "**********************",0);  
  er_oled_string(0, 16, "EastRising ",  0); 
  er_oled_string(0, 32, "www.buydisplay.com",  1); 
  er_oled_string(0, 48, "********************",0); 
  uint8_t i;
  for(i=0;i<=48;i++)
  {
  command(0xa1); //start line
  command(i);
  delay(100);
  }
   for(i=48;i>0;i--)
  {
  command(0xa1); //start line
  command(i);
  delay(100);
  }
    delay(1000);
   command(0xa1); //start line
  command(0); 
  
}


